Installation trouble of deluge on nas4free/FreeBSD 9.2/9.1

Hello everbody,

if you are trying to install deluge on a FreeBSD / Nas4Free 9.2 FreeBSD 9.2-RELEASE-p3 (kern.osreldate: 902001) ( - Shigawire (revision 943)).

and the goal is to run the most current version of deluge in a console only / WebUI fashion. And you do not want to run the application inside a jail. During the installation, you will run into trouble as detailed below. The installation does not seem to go through properly.

This is what the outputs looks like:

1pkg_add -r deluge >& install.log

1pkg_add: command '/usr/bin/printf '/deluge-1.3.6-py2.7.egg /usr/local/lib/python2.7/site-packages/easy-install.pth' failed
1deluged -L error -l firststartlog.log >& firststart.out
firststartlog.log was empty


1[ERROR] 10:55:34 main:237 No module named zope.interface Traceback (most recent call last):
2File "/usr/local/lib/python2.7/site-packages/deluge-1.3.6-py2.7.egg/deluge/", line 229, in start_daemon from deluge.core.daemon import Daemon File "/usr/local/lib/python2.7/site-packages/deluge-1.3.6-py2.7.egg/deluge/core/",
3line 39, in  from twisted.internet import reactor File "/usr/local/lib/python2.7/site-packages/twisted/internet/",
4line 37, in  from twisted.internet import default File "/usr/local/lib/python2.7/site-packages/twisted/internet/",
5line 56, in install = _getInstallFunction(platform) File
6"/usr/local/lib/python2.7/site-packages/twisted/internet/", line 52, in _getInstallFunction from
7twisted.internet.selectreactor import install File
8"/usr/local/lib/python2.7/site-packages/twisted/internet/", line 14, in  from zope.interface import
9implements ImportError: No module named zope.interface

Then try “easy_install zope.interface”

But now trying to start the deluge-web fails: “deluge-web >& deluge-web.out”

 1Traceback (most recent call last): File "/usr/local/bin/deluge-web", line 9, in load_entry_point('deluge==1.3.6',
 2'console_scripts', 'deluge-web')() File "/usr/local/lib/python2.7/site-packages/deluge-1.3.6-py2.7.egg/deluge/ui/web/",
 3line 138, in start web.start() File "/usr/local/lib/python2.7/site-packages/deluge-1.3.6-py2.7.egg/deluge/ui/web/",
 4line 107, in start import server File
 5"/usr/local/lib/python2.7/site-packages/deluge-1.3.6-py2.7.egg/deluge/ui/web/", line 59, in from deluge.ui.web.auth
 6import Auth File "/usr/local/lib/python2.7/site-packages/deluge-1.3.6-py2.7.egg/deluge/ui/web/", line 61, in  from
 7deluge.ui.web.json_api import JSONComponent, export File
 8"/usr/local/lib/python2.7/site-packages/deluge-1.3.6-py2.7.egg/deluge/ui/web/", line 60, in  from
 9deluge.ui.web.common import _, compress File
10"/usr/local/lib/python2.7/site-packages/deluge-1.3.6-py2.7.egg/deluge/ui/web/", line 38, in from mako.template
11import Template as MakoTemplate ImportError: No module named mako.template

*Try “easy_install mako.template”

this should fix the problems and deluge should start working again.

comments powered by Disqus